Subject: Re: linux-next: Tree for Jan 29 (soc/tegra/fuse/fuse-tegra30.c)

From: "Thierry Reding" <[email-masked]>
Date: Thu, 01 Feb 2024 16:07:08 +0100

On Tue Jan 30, 2024 at 11:59 AM CET, Arnd Bergmann wrote:
> On Tue, Jan 30, 2024, at 11:46, Jon Hunter wrote:
> > On 30/01/2024 04:06, Randy Dunlap wrote:
>
> > Looks like we are missing the following ...
> >
> > diff --git a/drivers/soc/tegra/fuse/fuse-tegra30.c 
> > b/drivers/soc/tegra/fuse/fuse-tegra30.c
> > index 2070d36c510d..eb14e5ff5a0a 100644
> > --- a/drivers/soc/tegra/fuse/fuse-tegra30.c
> > +++ b/drivers/soc/tegra/fuse/fuse-tegra30.c
> > @@ -38,7 +38,8 @@
> >       defined(CONFIG_ARCH_TEGRA_210_SOC) || \
> >       defined(CONFIG_ARCH_TEGRA_186_SOC) || \
> >       defined(CONFIG_ARCH_TEGRA_194_SOC) || \
> > -    defined(CONFIG_ARCH_TEGRA_234_SOC)
> > +    defined(CONFIG_ARCH_TEGRA_234_SOC) || \
> > +    defined(CONFIG_ARCH_TEGRA_241_SOC)
> >   static u32 tegra30_fuse_read_early(struct tegra_fuse *fuse, unsigned 
> > int offset)
> >
> >
> > Kartik, can you send a fix for this?
>
> If I get an Ack for my original patch, I can pick that
> up into the soc tree directly:
>
> https://lore.kernel.org/all/[email-masked]/

Sorry for the delay on this. I guess you can't really apply that to ARM
SoC directly because the patch that introduces Tegra241 support is only
in the Tegra tree.

In any case, I've applied your patch now, so the fixed version should
show up in tomorrow's linux-next.

I'm considering squashing it into the original since that'd preserve
bisectability, though that'd probably be of limited usefulness because
most people doing regression builds involving this will likely have one
of the other bits enabled.

Thierry